class NoticeManageList {
  String? msg;
  int? code;
  List<Data>? data;

  NoticeManageList({this.msg, this.code, this.data});

  NoticeManageList.fromJson(Map<String, dynamic> json) {
    msg = json['msg'];
    code = json['code'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(new Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['msg'] = this.msg;
    data['code'] = this.code;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  String? id;
  int? isDel;
  String? createDate;
  String? createUser;
  String? updateDate;
  String? updateUser;
  String? tenantId;
  String? noticeTitle;
  String? noticeContent;
  String? noticeStartTime;
  String? noticeEndTime;
  int? publishStatus;
  int? displayStatus;
  String? publishPeople;

  Data(
      {this.id,
        this.isDel,
        this.createDate,
        this.createUser,
        this.updateDate,
        this.updateUser,
        this.tenantId,
        this.noticeTitle,
        this.noticeContent,
        this.noticeStartTime,
        this.noticeEndTime,
        this.publishStatus,
        this.displayStatus,
        this.publishPeople});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    isDel = json['isDel'];
    createDate = json['createDate'];
    createUser = json['createUser'];
    updateDate = json['updateDate'];
    updateUser = json['updateUser'];
    tenantId = json['tenantId'];
    noticeTitle = json['noticeTitle'];
    noticeContent = json['noticeContent'];
    noticeStartTime = json['noticeStartTime'];
    noticeEndTime = json['noticeEndTime'];
    publishStatus = json['publishStatus'];
    displayStatus = json['displayStatus'];
    publishPeople = json['publishPeople'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['isDel'] = this.isDel;
    data['createDate'] = this.createDate;
    data['createUser'] = this.createUser;
    data['updateDate'] = this.updateDate;
    data['updateUser'] = this.updateUser;
    data['tenantId'] = this.tenantId;
    data['noticeTitle'] = this.noticeTitle;
    data['noticeContent'] = this.noticeContent;
    data['noticeStartTime'] = this.noticeStartTime;
    data['noticeEndTime'] = this.noticeEndTime;
    data['publishStatus'] = this.publishStatus;
    data['displayStatus'] = this.displayStatus;
    data['publishPeople'] = this.publishPeople;
    return data;
  }
}
